Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

Ubuntu 10.04,1 server

Anoniem
wanrooij
10 antwoorden
  • Ik heb recent een server geinstalleerd met release 10.04.1
    Lijk het goed te doen.
    Maar wanneer ik bijv ebox, ssh wil installeren of phpmyadmin krijg ik bij het installeren de volgende mededelingen:

    commando: sudo apt-get install ebox

    reactie:
    Pakketlijsten worden ingelezen — klaar
    Boom van vereisten wordt opgebouwd
    de status informatie wordt gelezen — klaar
    E: Kon pakket ebox niet vinden

    Kan iemand mij verder helpen met dit probleem.
  • Werkt dit commando nog wel zonder foutmeldingen? [code:1:e2babdf678] sudo apt-get update [/code:1:e2babdf678][Enter] En welke howto had je voor die Ubuntu 10.04.1 server gebruikt? Check eventueel of je Ubuntu 10.04.1 server in orde is, via deze The Perfect Server - Ubuntu Lucid Lynx.
  • sudo apt-get update

    Geeft de volgende foutmeldingen:
    Ophalen van http://security.ubuntu.com/dists/lucid security etc
    Tijdelijke fout bij het opzoeken van 'security.ubuntu.com' is mislukt

    Dit zijn een groot aantal meldingen met aan het einde.

    W: Ophalen van sommige bestanden is mislukt, deze zijn of genegeerd, of er zijn oudere versies van gebruikt.

    Aanvullende info:
    De website "It works" werkt. Poort 80 staat open.

    Ik heb op de The Perfect Server gekeken, maar dat moet ik nog nader bekijken.
  • Gaf je die commando van achter je server zelf, of via ssh/putty vanaf een Desktop PC? Zodat je dan met de muis via kopiëren en plakken eventuele outputs hier kunt posten. Had je wellicht je /etc/apt/sources.list handmatig gewijzigd? Post deze eventueel hier. Op pagina 3 van die The Perfect Server - Ubuntu Lucid Lynx staat een voorbeeld van een werkende /etc/apt/sources.list Overigens zelf gebruik ik in de plaats van vi liever nano. Maar dat is net wat je gewent bent te gebruiken.
  • Commando's zijn direct op de server ingevoerd.

    Ik heb inmiddels de server opnieuw geladen.
    Daarbij heb ik naast Lamp ook SSH gekozen en kan nu dus vanaf een andere computer inloggen met PUTTY.

    Ik heb de source list gecontroleerd en gezien dat de CD uitgecommentarieerd is.
    Dus de HTTPś zouden actief moeten zijn.

    Ik heb gecheckt en de poorten 22 en 80 staan nu open.
    Zodat SSH werkt en internet.

    Hierbij de foutmeldingen,

    joop@Wanrooij-engineering:~$ sudo apt-get update

    [sudo] password for joop:

    Err http://security.ubuntu.com lucid-security Release.gpg

    Temporary failure resolving 'security.ubuntu.com'

    Err http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-en_US

    Temporary failure resolving 'security.ubuntu.com'

    Err http://security.ubuntu.com/ubuntu/ lucid-security
    estricted Translation-en_US

    Temporary failure resolving 'security.ubuntu.com'

    Err http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-en_US

    Temporary failure resolving 'security.ubuntu.com'

    Err http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-en_US

    Temporary failure resolving 'security.ubuntu.com'

    Err http://nl.archive.ubuntu.com lucid Release.gpg

    Temporary failure resolving 'nl.archive.ubuntu.com'

    Err http://nl.archive.ubuntu.com/ubuntu/ lucid/main Translation-en_US

    Temporary failure resolving 'nl.archive.ubuntu.com'

    Err http://nl.archive.ubuntu.com/ubuntu/ lucid
    estricted Translation-en_US

    Temporary failure resolving 'nl.archive.ubuntu.com'

    Err http://nl.archive.ubuntu.com/ubuntu/ lucid/universe Translation-en_US

    Temporary failure resolving 'nl.archive.ubuntu.com'

    Err http://nl.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-en_US

    Temporary failure resolving 'nl.archive.ubuntu.com'

    Err http://nl.archive.ubuntu.com lucid-updates Release.gpg

    Temporary failure resolving 'nl.archive.ubuntu.com'

    Err http://nl.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-en_US

    Temporary failure resolving 'nl.archive.ubuntu.com'

    Err http://nl.archive.ubuntu.com/ubuntu/ lucid-updates
    estricted Translation-en_US

    Temporary failure resolving 'nl.archive.ubuntu.com'

    Err http://nl.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-en_US

    Temporary failure resolving 'nl.archive.ubuntu.com'

    Err http://nl.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-en_US

    Temporary failure resolving 'nl.archive.ubuntu.com'

    Reading package lists… Done

    W: Failed to fetch http://nl.archive.ubuntu.com/ubuntu/dists/lucid/Release.gpg Temporary failure resolving 'nl.archive.ubuntu.com'



    W: Failed to fetch http://nl.archive.ubuntu.com/ubuntu/dists/lucid/main/i18n/Translation-en_US.bz2 Temporary failure resolving 'nl.archive.ubuntu.com'



    W: Failed to fetch http://nl.archive.ubuntu.com/ubuntu/dists/lucid
    estricted/i18n/Translation-en_US.bz2 Temporary failure resolving 'nl.archive.ubuntu.com'



    W: Failed to fetch http://nl.archive.ubuntu.com/ubuntu/dists/lucid/universe/i18n/Translation-en_US.bz2 Temporary failure resolving 'nl.archive.ubuntu.com'



    W: Failed to fetch http://nl.archive.ubuntu.com/ubuntu/dists/lucid/multiverse/i18n/Translation-en_US.bz2 Temporary failure resolving 'nl.archive.ubuntu.com'



    W: Failed to fetch http://nl.archive.ubuntu.com/ubuntu/dists/lucid-updates/Release.gpg Temporary failure resolving 'nl.archive.ubuntu.com'



    W: Failed to fetch http://nl.archive.ubuntu.com/ubuntu/dists/lucid-updates/main/i18n/Translation-en_US.bz2 Temporary failure resolving 'nl.archive.ubuntu.com'



    W: Failed to fetch http://nl.archive.ubuntu.com/ubuntu/dists/lucid-updates
    estricted/i18n/Translation-en_US.bz2 Temporary failure resolving 'nl.archive.ubuntu.com'



    W: Failed to fetch http://nl.archive.ubuntu.com/ubuntu/dists/lucid-updates/universe/i18n/Translation-en_US.bz2 Temporary failure resolving 'nl.archive.ubuntu.com'



    W: Failed to fetch http://nl.archive.ubuntu.com/ubuntu/dists/lucid-updates/multiverse/i18n/Translation-en_US.bz2 Temporary failure resolving 'nl.archive.ubuntu.com'



    W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/lucid-security/Release.gpg Temporary failure resolving 'security.ubuntu.com'



    W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/lucid-security/main/i18n/Translation-en_US.bz2 Temporary failure resolving 'security.ubuntu.com'



    W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/lucid-security
    estricted/i18n/Translation-en_US.bz2 Temporary failure resolving 'security.ubuntu.com'



    W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/lucid-security/universe/i18n/Translation-en_US.bz2 Temporary failure resolving 'security.ubuntu.com'



    W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/lucid-security/multiverse/i18n/Translation-en_US.bz2 Temporary failure resolving 'security.ubuntu.com'



    W: Some index files failed to download, they have been ignored, or old ones used instead.

    Ik heb getracht de webadressen te benaderen maar dat werkt niet. Geven ook foutmeldingen.





  • Aan je output te zien heb je gekozen voor Netherland/Nederland bij Choose a country. Ik adviseer je nogmaals je /etc/apt/sources.list na te lopen. Je sudo apt-get update output zou er zo ongeveer uit moeten zien
    [code:1:d563811361]
    jolo@server:~$ sudo apt-get update
    [sudo] password for jolo:
    Hit http://nl.archive.ubuntu.com lucid Release.gpg
    Ign http://nl.archive.ubuntu.com/ubuntu/ lucid/main Translation-en_US
    Ign http://nl.archive.ubuntu.com/ubuntu/ lucid
    estricted Translation-en_US
    Ign http://nl.archive.ubuntu.com/ubuntu/ lucid/universe Translation-en_US
    Ign http://nl.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-en_US
    Hit http://nl.archive.ubuntu.com lucid-updates Release.gpg
    Ign http://nl.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-en_US
    Ign http://nl.archive.ubuntu.com/ubuntu/ lucid-updates
    estricted Translation-en_US
    Ign http://nl.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-en_US
    Ign http://nl.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-en_US
    Hit http://nl.archive.ubuntu.com lucid Release
    Hit http://nl.archive.ubuntu.com lucid-updates Release
    Hit http://security.ubuntu.com lucid-security Release.gpg
    Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-en_US
    Ign http://security.ubuntu.com/ubuntu/ lucid-security
    estricted Translation-en_US
    Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-en_US
    Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-en_US
    Hit http://security.ubuntu.com lucid-security Release
    Hit http://nl.archive.ubuntu.com lucid/main Packages
    Hit http://nl.archive.ubuntu.com lucid
    estricted Packages
    Hit http://nl.archive.ubuntu.com lucid/main Sources
    Hit http://nl.archive.ubuntu.com lucid
    estricted Sources
    Hit http://nl.archive.ubuntu.com lucid/universe Packages
    Hit http://nl.archive.ubuntu.com lucid/universe Sources
    Hit http://nl.archive.ubuntu.com lucid/multiverse Packages
    Hit http://nl.archive.ubuntu.com lucid/multiverse Sources
    Hit http://nl.archive.ubuntu.com lucid-updates/main Packages
    Hit http://nl.archive.ubuntu.com lucid-updates
    estricted Packages
    Hit http://nl.archive.ubuntu.com lucid-updates/main Sources
    Hit http://nl.archive.ubuntu.com lucid-updates
    estricted Sources
    Hit http://nl.archive.ubuntu.com lucid-updates/universe Packages
    Hit http://nl.archive.ubuntu.com lucid-updates/universe Sources
    Hit http://nl.archive.ubuntu.com lucid-updates/multiverse Packages
    Hit http://nl.archive.ubuntu.com lucid-updates/multiverse Sources
    Hit http://security.ubuntu.com lucid-security/main Packages
    Hit http://security.ubuntu.com lucid-security
    estricted Packages
    Hit http://security.ubuntu.com lucid-security/main Sources
    Hit http://security.ubuntu.com lucid-security
    estricted Sources
    Hit http://security.ubuntu.com lucid-security/universe Packages
    Hit http://security.ubuntu.com lucid-security/universe Sources
    Hit http://security.ubuntu.com lucid-security/multiverse Packages
    Hit http://security.ubuntu.com lucid-security/multiverse Sources
    Reading package lists… Done
    [/code:1:d563811361]
    Heeft het updaten van de server voorheen wel gewerkt? Staat daarover info in de /var/log/apt/history.log

    Overigens heeft je server alleen openssh-server nodig, om er vanaf een andere PC er met putty erbij te kunnen. ssh gebruikt je net zoals putty op de cliënt PC.








  • Ik heb ook de history.log

    joop@Wanrooij-engineering:~$ vi /var/log/apt/history.log



    Start-Date: 2010-12-29 13:10:05

    Install: libpci3 (3.0.0-4ubuntu17), installation-report (2.39ubuntu4), pciutils (3.0.0-4ubuntu17)

    End-Date: 2010-12-29 13:10:08



    Start-Date: 2010-12-29 13:10:10

    Install: lvm2 (2.02.54-1ubuntu4), libdevmapper-event1.02.1 (1.02.39-1ubuntu4), watershed (5)

    End-Date: 2010-12-29 13:10:15



    Start-Date: 2010-12-29 13:10:28

    Install: linux-image-generic-pae (2.6.32.24.25), linux-image-2.6.32-24-generic-pae (2.6.32-24.39), wireless-crda (1.12), linux-generic-pae (2.6.32.24.25), linux-firmware (1.34.1)

    End-Date: 2010-12-29 13:11:10



    Start-Date: 2010-12-29 13:11:16

    Install: linux-headers-2.6.32-24 (2.6.32-24.39), linux-headers-2.6.32-24-generic-pae (2.6.32-24.39), linux-headers-generic-pae (2.6.32.24.25)

    End-Date: 2010-12-29 13:11:27



    Start-Date: 2010-12-29 13:11:29

    Install: usbutils (0.86-2ubuntu1)

    End-Date: 2010-12-29 13:11:30



    Start-Date: 2010-12-29 13:12:11

    Install: lsof (4.81.dfsg.1-1build1), libnspr4-0d (4.8.4-0ubuntu1), libecryptfs0 (83-0ubuntu3), rsync (3.0.7-1ubuntu1), gettext-base (0.17-8ubuntu3), ecryptfs-utils (83-0ubuntu3), libnss3-1d (3.12.6-0ubuntu3), keyutils (1.2-12)

    End-Date: 2010-12-29 13:12:21



    Start-Date: 2010-12-29 13:12:22

    Install: cryptsetup (1.1.0~rc2-1ubuntu13)

    End-Date: 2010-12-29 13:12:42



    Start-Date: 2010-12-29 13:12:59

    End-Date: 2010-12-29 13:12:59



    Start-Date: 2010-12-29 13:13:06

    Install: iso-codes (3.12.1-1), python-apt (0.7.94.2ubuntu6.2), unattended-upgrades (0.55ubuntu4)

    End-Date: 2010-12-29 13:13:14



    Start-Date: 2010-12-29 13:13:16

    Install: language-selector-common (0.5.8)

    End-Date: 2010-12-29 13:13:19



    Start-Date: 2010-12-29 13:14:38


    Hierbij een stukje van de sources.list die ik aantref.

    deb cdrom:[Ubuntu-Server 10.04.1 LTS _Lucid Lynx_ - Release i386 (20100816.2)]/ lucid main restricted



    #deb cdrom:[Ubuntu-Server 10.04.1 LTS _Lucid Lynx_ - Release i386 (20100816.2)]/ lucid main restricted

    # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to

    # newer versions of the distribution.



    deb http://nl.archive.ubuntu.com/ubuntu/ lucid main restricted

    deb-src http://nl.archive.ubuntu.com/ubuntu/ lucid main restricted



    ## Major bug fix updates produced after the final release of the

    ## distribution.

    deb http://nl.archive.ubuntu.com/ubuntu/ lucid-updates main restricted

    deb-src http://nl.archive.ubuntu.com/ubuntu/ lucid-updates main restricted



    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu

    ## team. Also, please note that software in universe WILL NOT receive any

    ## review or updates from the Ubuntu security team.

    deb http://nl.archive.ubuntu.com/ubuntu/ lucid universe

    deb-src http://nl.archive.ubuntu.com/ubuntu/ lucid universe

    deb http://nl.archive.ubuntu.com/ubuntu/ lucid-updates universe

    deb-src http://nl.archive.ubuntu.com/ubuntu/ lucid-updates universe



    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu

    ## team, and may not be under a free licence. Please satisfy yourself as to

    ## your rights to use the software. Also, please note that software in

    ## multiverse WILL NOT receive any review or updates from the Ubuntu

    ## security team.

    deb http://nl.archive.ubuntu.com/ubuntu/ lucid multiverse

    deb-src http://nl.archive.ubuntu.com/ubuntu/ lucid multiverse

    deb http://nl.archive.ubuntu.com/ubuntu/ lucid-updates multiverse

    deb-src http://nl.archive.ubuntu.com/ubuntu/ lucid-updates multiverse

  • Ik heb je outputs nagekeken. Zover ik kon zien, kon ik er geen fouten vinden in je /etc/apt/sources.list

    Check daarin alleen nog even de security sectie. Die zou er zo moeten uitzien
    [code:1:4bf305e836]
    deb http://security.ubuntu.com/ubuntu lucid-security main restricted
    deb-src http://security.ubuntu.com/ubuntu lucid-security main restricted
    deb http://security.ubuntu.com/ubuntu lucid-security universe
    deb-src http://security.ubuntu.com/ubuntu lucid-security universe
    deb http://security.ubuntu.com/ubuntu lucid-security multiverse
    deb-src http://security.ubuntu.com/ubuntu lucid-security multiverse
    [/code:1:4bf305e836]

    In je /var/log/apt/history.log zie ik dat je onder andere kernel 2.6.32.24.25 hebt kunnen installeren.
  • Ik heb de list gecontroleerd en de security sites staan exact zo in mijn sources.list.

    Kan het zijn dat om deze software te downloaden een poort open moet staan, welke nu niet open staat.
    Poorten welke open staan zijn 22 en 80.

    Rest mij een prettige jaarwisseling te wensen en een gezond 2011, zo op de oudejaarsavond.
  • Om te kunnen updaten hoeven er voor je server geen poorten in je router open te staan. Wat je nog wel zou kunnen doen, is checken welke dns adressen er in je /etc
    esolv.conf staan.

    //Edit

    Als aanvulling. In deze hyperlink staat nog enig informatie over het netwerk van een server http://wiki.ubuntu-nl.org/community/Lamp#Netwerk

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.